Loading...
Searching...
No Matches
hex_string.c File Reference

Built-in hex-string and associated types plugin. More...

`#include "plugins_types.h"`
`#include <ctype.h>`
`#include <stdint.h>`
`#include <stdlib.h>`
`#include <string.h>`
`#include "libyang.h"`
`#include "compat.h"`
`#include "ly_common.h"`
`#include "plugins_internal.h"`
Include dependency graph for hex_string.c:

Go to the source code of this file.

## Macros

#define | _GNU_SOURCE

## Functions

LIBYANG_API_DEF LY_ERR | lyplg_type_store_hex_string (const struct ly_ctx *ctx, const struct lysc_type *type, const void *value, size_t value_len, uint32_t options, LY_VALUE_FORMAT format, void *UNUSED(prefix_data), uint32_t hints, const struct lysc_node *UNUSED(ctx_node), struct lyd_value *storage, struct lys_glob_unres *UNUSED(unres), struct ly_err_item **err)

## Variables

const struct lyplg_type_record | plugins_hex_string []
| Plugin information for string type implementation.

## Detailed Description

Built-in hex-string and associated types plugin.

Author
  Michal Vasko mvask.nosp@m.o@ce.nosp@m.snet..nosp@m.cz

Copyright (c) 2023 CESNET, z.s.p.o.

This source code is licensed under BSD 3-Clause License (the "License"). You may not use this file except in compliance with the License. You may obtain a copy of the License at

    https://opensource.org/licenses/BSD-3-Clause

Definition in file hex_string.c.

## Macro Definition Documentation

## _GNU_SOURCE

#define _GNU_SOURCE

Definition at line 15 of file hex_string.c.

## Function Documentation

## lyplg_type_store_hex_string()

LIBYANG_API_DEF LY_ERR lyplg_type_store_hex_string | ( | const struct ly_ctx * | ctx,
|  | const struct lysc_type * | type,
|  | const void * | value,
|  | size_t | value_len,
|  | uint32_t | options,
|  | LY_VALUE_FORMAT | format,
|  | void * | UNUSEDprefix_data,
|  | uint32_t | hints,
|  | const struct lysc_node * | UNUSEDctx_node,
|  | struct lyd_value * | storage,
|  | struct lys_glob_unres * | UNUSEDunres,
|  | struct ly_err_item ** | err
| ) |  |

Definition at line 41 of file hex_string.c.

## Variable Documentation

## plugins_hex_string

const struct lyplg_type_record plugins_hex_string[]

Plugin information for string type implementation.

Note that external plugins are supposed to use:

LYPLG_TYPES = {

Definition at line 113 of file hex_string.c.